.pt-o-summary-board {
  width: 3.2rem;
  height: 56vh;
  min-height: 250px;
  max-height: 50.4rem;
  background: rgba($color: $white, $alpha: 0.6);
  backdrop-filter: blur(0.5rem);
  border-radius: 3rem 0 0 3rem;
  box-shadow: -0.8rem 0 1.2rem rgba($color: $royalBlue, $alpha: 0.16);
  position: fixed;
  top: 50%;
  right: 0;
  z-index: 200;
  transform: translateY(-50%);
  transition: width 0.5s ease-in-out;

  
  &.--open {
    width: 49.4rem;
    .pt-o-summary-board {
      &__container {
        & > .__toggle {
          & > .__heading {
            opacity: 0;
            pointer-events: none;
          }
        }
        & > .__header,
        & > .__content {
          opacity: 1;
          pointer-events: all;
        }
      }
    }
  }
  &__container {
    width: 100%;
    height: 100%;
    padding: 2.4rem 0.8rem 2.4rem 1.6rem;
    display: flex;
    flex-direction: column;
    position: relative;
    & > .__toggle {
      width: 6.5rem;
      height: 14.5rem;
      cursor: pointer;
      position: absolute;
      top: 50%;
      left: 0;
      transform: translate(-85%, -50%);
      user-select: none;

      & > div {
        user-select: none;
        & > img {
          user-select: none;
        }
      }
      & > .__image {
        &-bg {
          width: 100%;
          height: 100%;
          opacity: 0.8;
          filter: blur(0.05rem);
        }
        &-icon {
          width: 1.6rem;
          height: 1.6rem;
          position: absolute;
          top: 50%;
          right: 0;
          transform: translate(-1.5rem, -50%);
        }
      }
      & > .__heading {
        color: $dodgerBlue;
        font-family: 'mont_b';
        cursor: pointer;
        pointer-events: none;
        position: absolute;
        top: 50%;
        left: 0;
        transform: translateY(-50%) rotate(-90deg);
        transition: opacity 0.5s ease-in-out;
        white-space: nowrap !important;
        font-size: 1.5rem;
      }
    }
    & > .__header {
      min-width: 47rem;
      opacity: 0;
      pointer-events: none;
      transition: opacity 0.5s ease-in-out;
      & > .__title {
        margin: 0 0 1.2rem 0;
        color: $dodgerBlue;
        font-family: 'mont_b';
        font-size: 2rem;
        line-height: 3rem;
      }
      & > .__info {
        margin: -1.6rem 0 0 0;
        display: flex;
        align-items: center;
        & > .__icon {
          width: 7.2rem;
          height: 7.2rem;
          transform: translate(-25%, 15%);
        }
        & > .__title {
          color: $gunPowder;
          font-family: 'mont_b';
          line-height: 3rem;
          transform: translateX(-1.8rem);
        }
      }
    }
    & > .__content {
      min-width: 47rem;
      flex: 1;
      opacity: 0;
      transition: opacity 0.5s ease-in-out;
      & > div {
        & > div {
          &:nth-child(1) {
            padding: 0 2.4rem 0 0;
          }
          &:nth-child(3) {
            & > div {
              width: 0.8rem;
              background: rgba($color: $black, $alpha: 0.4);
              border-radius: 0.4rem;
            }
          }
        }
      }
      .__part-list {
        & > .__part-item {
          width: 100%;
          margin: 0 0 1rem 0;
          padding: 1.4rem 1.6rem 0.8rem 2.8rem;
          background: $white;
          border-radius: 1.2rem;
          overflow: hidden;
          position: relative;
          &:last-child {
            margin: 0;
          }
          &::before {
            width: 1.2rem;
            height: 100%;
            background: linear-gradient(-25deg, $aqua, $dodgerBlue);
            content: '';
            position: absolute;
            top: 0;
            left: 0;
          }
          & > .__top {
            margin: 0 0 1.2rem 0;
            display: flex;
            align-items: center;
            justify-content: space-between;
            & > .__name {
              color: $airForceBlue;
              font-family: 'mont_sb';
              font-size: 1.6rem;
              line-height: 1.8rem;
              span {
                font-weight: 400 !important;
              }
            }
            & > .__total {
              color: $limeGreen;
              font-family: 'mont_sb';
              font-size: 1.6rem;
              line-height: 1.8rem;
            }
          }
          & > .__bottom {
            width: calc(100% + 0.8rem);
            margin: 0 0 0 -0.4rem;
            display: flex;
            flex-wrap: wrap;
            & > .__btn {
              width: 3.2rem;
              height: 3.2rem;
              margin: 0 0.4rem 1.2rem 0.4rem;
              background: $aliceBlue;
              border-radius: 50%;
              color: $dodgerBlue;
              display: flex;
              align-items: center;
              justify-content: center;
              font-family: 'mont_sb';
              font-size: 1.6rem !important;
              &.--done {
                background: $cornflower;
                color: $white;
              }
            }
          }
        }
      }
    }
  }
}

_::-webkit-full-page-media, _:future, :root .pt-o-summary-board {
  background:#fff; 
}
@media only screen and (min-width: 768px) and (max-width: 960px) {
  .pt-o-summary-board button {
    font-size: 1.6rem !important;
  }
  body#practice-test button {
    font-size: 1.6rem;
  }
}
@media only screen and (min-width: 768px) and (max-width: 960px) {
  .pt-o-summary-board button {
    font-size: 1.6rem !important;
  }
  .pt-o-summary-board {
    position: fixed;
    top: 11rem;
    bottom: unset;
    right: unset;
    left: -100%;
    z-index: 400;

    width: 100%;
    height: calc(100vh - 11rem);
    max-height: unset;

    border-radius: 0;
    box-shadow: -0.8rem 0 1.2rem rgba($color: $royalBlue, $alpha: 0.16);

    transform: unset;
    transition: left 0.25s ease-in-out;
    // background-color: rgba(206, 230, 255, 0.14);
    background: rgba($color: #efeded, $alpha: 0.95);
    &.--open {
      width: 100%;
      left: 0;
      // background-color: rgba(206, 230, 255, 0.9);
      .pt-o-summary-board {
        &__container {
          padding: 1rem 2rem;
          & > .__toggle {
            display: none;

            & > .__heading {
              opacity: 0;
              pointer-events: none;
            }
          }
          & > .__header {
            display: none;

            text-align: center;

            transform: translateX(-5.4rem);
            & > .__title {
              font-size: 1.6rem;
              margin: 0 0 0.6rem 0;
            }
            & > .__info {
              display: none;
            }
          }

          & > .__content {
            opacity: 1;
            pointer-events: all;
          }
        }
      }
    }
    &__container {
      & > .__toggle {
        top: -7.3rem;
        bottom: 0;
        width: 3.8rem;
        height: 12.5rem;
        transform: rotate(90deg) translateY(2.6rem);
        left: 50%;
        z-index: 2;
        & > .__heading {
          font-size: 1.4rem;
          left: -2rem;
        }
        & > .__image {
          &-icon {
            width: 1rem;
            height: 1rem;
            top: 50%;
            transform: translate(-1.5rem, -50%);
            right: -8px;
          }
        }
      }
      & > .__content {
        min-width: unset;
        & > div {
          & > div {
            &:nth-child(1) {
              padding: 0;
            }
          }
        }
        .__part-list {
          & > .__part-item {
            padding-right: 2.8rem;
            & > .__top {
              margin: 0 0 1rem 0;
              & > .__name {
                font-size: 1.4rem;
                line-height: 1.4rem;
              }
              & > .__total {
                font-size: 1.4rem;
                line-height: 1.4rem;
              }
            }
            & > .__bottom {
              width: calc(100% + 0.8rem);
              margin: 0 0 0 -0.4rem;
              display: flex;
              flex-wrap: wrap;
              & > .__btn {
                width: 2.8rem;
                height: 2.8rem;
                margin: 0 0.4rem 1rem 0.4rem;
                border-radius: 50%;
                font-size: 1.4rem !important;
              }
            }
          }
        }
      }
    }
  }
  .rs-btn {
    padding: 0.6rem 1.2rem;
  }
}
@media only screen and (max-width: 767px) and (max-width: 960px)  {
  .pt-o-summary-board button {
    font-size: 1.6rem !important;
  }
  body#practice-test button {
    font-size: 1.6rem;
  }
}
@media only screen and (max-width: 767px) {
  body#practice-test button {
    font-size: 1.6rem;
  }
  .pt-o-summary-board button {
    font-size: 1.6rem !important;
  }

  .pt-o-summary-board {
    position: fixed;
    top: 11rem;
    bottom: unset;
    right: unset;
    left: -100%;
    z-index: 400;

    width: 100%;
    height: calc(100vh - 11rem);
    max-height: unset;

    border-radius: 0;
    box-shadow: -0.8rem 0 1.2rem rgba($color: $royalBlue, $alpha: 0.16);

    transform: unset;
    transition: left 0.25s ease-in-out;
    // background-color: rgba(206, 230, 255, 0.14);
    background: rgba($color: #efeded, $alpha: 0.95);
    &.--open {
      width: 100%;
      left: 0;
      // background-color: rgba(206, 230, 255, 0.9);
      .pt-o-summary-board {
        &__container {
          padding: 0;
          & > .__toggle {
            display: none;

            & > .__heading {
              opacity: 0;
              pointer-events: none;
            }
          }
          & > .__header {
            display: none;

            text-align: center;
            transform: translateX(-5.4rem);
            & > .__title {
              font-size: 1.6rem;
              margin: 0 0 0.6rem 0;
            }
            & > .__info {
              display: none;
            }
          }

          & > .__content {
            opacity: 1;
            pointer-events: all;

            // .__part-list {
            //   padding: 1rem 2rem;
            // }
          }
        }
      }
    }
    &__container {
      & > .__toggle {
        top: -2rem;
        bottom: 0;
        width: 12.5rem;
        height: 3.8rem;
        // transform: rotate(90deg) translateY(2.6rem);
        transform: translate(-50%);
        left: 50%;
        z-index: 2;
        & > .__heading {
          font-size: 1.4rem;
          left: 0rem;
          top: 36px;
          transform: translateY(-50%) rotate(0deg);
        }
        & > .__image {
          &-icon {
            width: 1rem;
            height: 1rem;
            top: 45%;
            transform: translate(-1.5rem, -50%) rotate(90deg);
            right: 43px;
          }
        }
        .__image-bg {
          img {
            transform: rotate(90deg);
            width: 3.8rem;
            height: 12.5rem;
            top: -53px;
            left: 43px;
          }
        }
      }
      & > .__content {
        min-width: unset;
        & > div {
          & > div {
            &:nth-child(1) {
              padding: 0;
            }
          }
        }
        .__part-list {
          padding: 1rem 1rem 9rem 1rem;
          & > .__part-item {
            // background: #fff;
            & > .__top {
              margin: 0 0 1rem 0;
              & > .__name {
                font-size: 1.4rem;
                line-height: 1.4rem;
              }
              & > .__total {
                font-size: 1.4rem;
                line-height: 1.4rem;
              }
            }
            & > .__bottom {
              width: calc(100% + 0.8rem);
              margin: 0 0 0 -0.4rem;
              display: flex;
              flex-wrap: wrap;
              & > .__btn {
                width: 2.4rem;
                height: 2.4rem;
                margin: 0 0.4rem 1rem 0.4rem;
                border-radius: 50%;
                font-size: 1.2rem !important;
              }
            }
          }
        }
      }
    }
  }
}
//landscape
@include screen-960-landscape{
  .pt-o-summary-board {
    top: 6.6rem;
    height: calc(100vh - 6.6rem);
}
}
// //landscape
// @media only screen and (max-width: 1024px) and (orientation: landscape) {
//   .pt-o-summary-board {
//     width: 2.2rem;
//     &__container {
//       padding: 1.8rem 0.4rem 1.8rem 1rem;
//       & > .__toggle {
//         width: 4.5rem;
//         height: 14.5rem;
//         cursor: pointer;
//         position: absolute;
//         top: 50%;
//         left: 0;
//         transform: translate(-85%, -50%);
//         user-select: none;
  
//         & > div {
//           user-select: none;
//           & > img {
//             user-select: none;
//           }
//         }
//         & > .__image {
//           &-icon {
//             width: 1.2rem;
//             height: 1.2rem;
//             position: absolute;
//             top: 50%;
//             right: 0;
//             transform: translate(-0.9rem, -50%);
//           }
//         }
//         & > .__heading {
//           top: 50%;
//           left: 0;
//           transform: translate(-5%, -50%) rotate(-90deg);
//           font-size: 1.2rem;
//         }
//       }
//       & > .__header {
//         & > .__title {
//           font-size: 1.6rem;
//           line-height: 2.6rem;
//         }
//         & > .__info {
//           margin: -1.6rem 0 0 0;
//           display: flex;
//           align-items: center;
//           & > .__icon {
//             width: 6.8rem;
//             height: 6.8rem;
//             transform: translate(-25%, 15%);
//           }
//           & > .__title {
//             color: $gunPowder;
//             font-family: 'mont_b';
//             line-height: 3rem;
//             transform: translateX(-1.8rem);
//           }
//         }
//       }
//     }
//   }  
  
//   body#practice-test button {
//     font-size: 1.6rem !important;
//   }
// }
// @media only screen and (max-width: 1024px) and (orientation: landscape) {
//   .pt-o-summary-board {
//     width: 2.2rem;
//     min-height: 230px;
//     &__container {
//       padding: 1.8rem 0.4rem 1.8rem 1rem;
//       & > .__toggle {
//         width: 4.5rem;
//         height: 14.5rem;
//         cursor: pointer;
//         position: absolute;
//         top: 50%;
//         left: 0;
//         transform: translate(-85%, -50%);
//         user-select: none;
  
//         & > div {
//           user-select: none;
//           & > img {
//             user-select: none;
//           }
//         }
//         & > .__image {
//           &-icon {
//             width: 1.2rem;
//             height: 1.2rem;
//             position: absolute;
//             top: 50%;
//             right: 0;
//             transform: translate(-0.9rem, -50%);
//           }
//         }
//         & > .__heading {
//           top: 50%;
//           left: 0;
//           transform: translate(-5%, -50%) rotate(-90deg);
//           font-size: 1.2rem;
//         }
//       }
//       & > .__header {
//         & > .__title {
//           font-size: 1.6rem;
//           line-height: 2.6rem;
//         }
//         & > .__info {
//           margin: -1.6rem 0 0 0;
//           display: flex;
//           align-items: center;
//           & > .__icon {
//             width: 6.8rem;
//             height: 6.8rem;
//             transform: translate(-25%, 15%);
//           }
//           & > .__title {
//             color: $gunPowder;
//             font-family: 'mont_b';
//             line-height: 3rem;
//             transform: translateX(-1.8rem);
//           }
//         }
//       }
//     }
//   }  
  
//   body#practice-test button {
//     font-size: 1.6rem !important;
//   }
// }
// @media only screen and (max-width: 768px) and (orientation: landscape) {
//   .pt-o-summary-board {
//     width: 1.2rem;
//     min-height: 200px;
//     &__container {
//       padding: 1.2rem 0.4rem 1.2rem 1rem;
//       & > .__toggle {
//         width: 4.5rem;
//         height: 14.5rem;
//         cursor: pointer;
//         position: absolute;
//         top: 50%;
//         left: 0;
//         transform: translate(-85%, -50%);
//         user-select: none;
  
//         & > div {
//           user-select: none;
//           & > img {
//             user-select: none;
//           }
//         }
//         & > .__image {
//           &-icon {
//             width: 1.2rem;
//             height: 1.2rem;
//             position: absolute;
//             top: 50%;
//             right: 0;
//             transform: translate(-0.9rem, -50%);
//           }
//         }
//         & > .__heading {
//           top: 50%;
//           left: 0;
//           transform: translate(-2%, -50%) rotate(-90deg);
//           font-size: 1rem;
//         }
//       }
//       & > .__header {
//         & > .__title {
//           font-size: 1.6rem;
//           line-height: 2.6rem;
//         }
//         & > .__info {
//           height: 5rem;
//           margin: -1.6rem 0 0 0;
//           display: flex;
//           align-items: center;
//           & > .__icon {
//             width: 6.8rem;
//             height: 6.8rem;
//             transform: translate(-25%, 15%);
//           }
//           & > .__title {
//             color: $gunPowder;
//             font-family: 'mont_b';
//             line-height: 3rem;
//             font-size: 1.4rem;
//             transform: translateX(-1.8rem);
//           }
//         }
//       }
//     }
//   }  
  
//   body#practice-test button {
//     font-size: 1.6rem !important;
//   }
// }